﻿/**Begin D:\PDM_UPGRADE\PDM1\GM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_PLEDGEBILL') 
 CREATE TABLE T_GM_PLEDGEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FATTRIBUTE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPLEDGETYPEID BIGINT DEFAULT 0 NOT NULL,
FPLEDGENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINITIALAPPRAISEDVALUE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCURRENTAPPRAISEDVALUE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPLEDGERATE INT DEFAULT 0 NOT NULL,
FTOTALPLEDGEVALUE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPLEDGEVALUE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME,
FSTOPPLEDGEDATE DATETIME,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREALRIGHTPERSONID BIGINT DEFAULT 0 NOT NULL,
FORIGINALVALUE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPLEDGESTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREALRIGHT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUSABLERANGE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLSOURCE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPLEDGETEXTNO NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_PLEDGEBILL_NO') 
 CREATE TABLE T_GM_PLEDGEBILL_NO (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARCONTRACT') 
 CREATE TABLE T_GM_GUARCONTRACT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEEVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FGUARANTEEORGID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEEDORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FDUTYAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FGUARANTEEAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME,
FISNEEDREG CHAR(1) DEFAULT '0' NOT NULL,
FBIZSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGUARANTEENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREGUARANTEETYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGUARANTEETYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREDITORID BIGINT DEFAULT 0 NOT NULL,
FCREDITORTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGUARANTEEWAY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGUARANTEELIMIT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION_TAG NCLOB,
FGUARANTEEKINDID BIGINT DEFAULT 0 NOT NULL,
FREPLEDGEBILLID BIGINT DEFAULT 0 NOT NULL,
FREPLEDGENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREPLEDGEAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FISCHANGE CHAR(1) DEFAULT '0' NOT NULL,
FCLOSEUSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSETIME DATETIME,
FOLDBIZSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARCONTRACT_EENTRY') 
 CREATE TABLE T_GM_GUARCONTRACT_EENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENSURE BIGINT DEFAULT 0 NOT NULL,
FENSURERATE INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARCONTRACT_AENTRY') 
 CREATE TABLE T_GM_GUARCONTRACT_AENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENSURE BIGINT DEFAULT 0 NOT NULL,
FENSURERATE INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,5) DEFAULT 0 NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARCONTRACT_MENTRY') 
 CREATE TABLE T_GM_GUARCONTRACT_MENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPLEGID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARCONTRACT_PENTRY') 
 CREATE TABLE T_GM_GUARCONTRACT_PENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLEGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEEVARIETIES') 
 CREATE TABLE T_GM_GUARANTEEVARIETIES (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FCREDITGUARANTEE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_PLEDGETYPE') 
 CREATE TABLE T_GM_PLEDGETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FATTRIBUTE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCE NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_PLEDGETYPE_AC') 
 CREATE TABLE T_GM_PLEDGETYPE_AC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_PLEDGETYPE_L') 
 CREATE TABLE T_GM_PLEDGETYPE_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEEVARIETIES_L') 
 CREATE TABLE T_GM_GUARANTEEVARIETIES_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\GM_table.sql **/
