﻿/**Begin D:\PDM_UPGRADE\PDM1\GM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEEUSE') 
 CREATE TABLE T_GM_GUARANTEEUSE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FGUARANTEECONTRACTID BIGINT DEFAULT 0 NOT NULL,
FGAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FGCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FGCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGRATIO DECIMAL(19,6) DEFAULT 0 NOT NULL,
FGSRCBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGDEBTBALANCE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FGDEBTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FGDEBTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FGDEBTSTARTDATE DATETIME,
FGDEBTENDDATE DATETIME,
FGCPARTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGEXCHRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FGSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FGSRCBILLLAYOUT NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEEUSE_ENTRY') 
 CREATE TABLE T_GM_GUARANTEEUSE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRETURNBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRETURNBILLID BIGINT DEFAULT 0 NOT NULL,
FRETURNAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRETURNTIME DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\GM_table.sql **/
