﻿/**Begin D:\PDM_UPGRADE\PDM1\GM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GM_LETTEROFGUARANTEE' AND KSQL_COL_NAME IN ('FAPPLYBILLNO')) 
 ALTER TABLE T_GM_LETTEROFGUARANTEE ADD (FAPPLYBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GM_LETTEROFGUARANTEE' AND KSQL_COL_NAME IN ('FSOURCEBILLTYPE')) 
 ALTER TABLE T_GM_LETTEROFGUARANTEE ADD (FSOURCEBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GM_LETTEROFGUARANTEE' AND KSQL_COL_NAME IN ('FSOURCEBILLID')) 
 ALTER TABLE T_GM_LETTEROFGUARANTEE ADD (FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_LETTEROFGUAAPPLY') 
 CREATE TABLE T_GM_LETTEROFGUAAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBIZSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEEVARIETYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTRACTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FEXPIREDATE DATETIME,
FGUARANTEETERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPREHFEERATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FESTIMATEDTOTALFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISREVOKABLEINADV CHAR(1) DEFAULT '0' NOT NULL,
FHASUNFROZENFUND CHAR(1) DEFAULT '0' NOT NULL,
FUNFROZENFUNDBANKID BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEETYPEID BIGINT DEFAULT 0 NOT NULL,
FBENEFICIARYTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBENEFICIARYID BIGINT DEFAULT 0 NOT NULL,
FTEXTBENEFICIARY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGUARANTEEWAY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGUARANTEEPURPOSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISLETTERCREATED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_LETTEROFGUAAPPLY_L') 
 CREATE TABLE T_GM_LETTEROFGUAAPPLY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

EXEC p_AlterColumn 'T_GM_GUARANTEEUSE', 'FGEXCHRATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';


/**End D:\PDM_UPGRADE\PDM1\GM_table.sql **/
