/**Begin D:\PDM_UPGRADE\PDM1\GM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_PLEDGEBILL_SHAREORG')
 CREATE TABLE T_GM_PLEDGEBILL_SHAREORG (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GM_GUARCONTRACT' AND KSQL_COL_NAME IN ('FCOUNTORGUAWAY'))
 ALTER TABLE T_GM_GUARCONTRACT ADD (FCOUNTORGUAWAY NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GM_GUARANTEEAPPLY' AND KSQL_COL_NAME IN ('FCOUNTORGUAWAY'))
 ALTER TABLE T_GM_GUARANTEEAPPLY ADD (FCOUNTORGUAWAY NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARCONTRACT_CEENTRY')
 CREATE TABLE T_GM_GUARCONTRACT_CEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENSURE BIGINT DEFAULT 0 NOT NULL,
FENSURERATE INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENSURETEXT NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARCONTRACT_CMENTRY')
 CREATE TABLE T_GM_GUARCONTRACT_CMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPLEGID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARCONTRACT_CPENTRY')
 CREATE TABLE T_GM_GUARCONTRACT_CPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLEGID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\GM_table.sql **/
