﻿/**Begin D:\PDM_UPGRADE\PDM1\GM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_GM_PLEDGEBILL', 'T_GM_PLEDGEBILL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_PLEDGEBILL_BILLNO') CREATE  CLUSTERED INDEX IDX_GM_PLEDGEBILL_BILLNO ON T_GM_PLEDGEBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_PLEDGEBILL_FSOURCE') CREATE INDEX IDX_GM_PLEDGEBILL_FSOURCE ON T_GM_PLEDGEBILL ( FSOURCEBILLID ,FBILLSOURCE );


 EXEC P_ALTERPK 'PK_T_GM_PLEDGEBILL_NO', 'T_GM_PLEDGEBILL_NO', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_PLEDGEBILL_NO_FID') CREATE INDEX IDX_GM_PLEDGEBILL_NO_FID ON T_GM_PLEDGEBILL_NO ( FID );


 EXEC P_ALTERPK 'PK_T_GM_GUARCONTRACT', 'T_GM_GUARCONTRACT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_GUARCONTRACT') CREATE  CLUSTERED INDEX IDX_GM_GUARCONTRACT ON T_GM_GUARCONTRACT ( FBILLNO ,FID );


 EXEC P_ALTERPK 'PK_T_GM_GUARCONTRACT_EENTRY', 'T_GM_GUARCONTRACT_EENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_GUARCONTRACT_EENTRY_FID') CREATE INDEX IDX_GM_GUARCONTRACT_EENTRY_FID ON T_GM_GUARCONTRACT_EENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_GM_GUARCONTRACT_AENTRY', 'T_GM_GUARCONTRACT_AENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_GUARCONTRACT_AENTRY_FID') CREATE INDEX IDX_GM_GUARCONTRACT_AENTRY_FID ON T_GM_GUARCONTRACT_AENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_GM_GUARCONTRACT_MENTRY', 'T_GM_GUARCONTRACT_MENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_GUARCONTRACT_MENTRY_FID') CREATE INDEX IDX_GM_GUARCONTRACT_MENTRY_FID ON T_GM_GUARCONTRACT_MENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_GM_GUARCONTRACT_PENTRY', 'T_GM_GUARCONTRACT_PENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_GUARCONTRACT_PENTRY_FID') CREATE INDEX IDX_GM_GUARCONTRACT_PENTRY_FID ON T_GM_GUARCONTRACT_PENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_GM_GUARANTEEVARIETIES', 'T_GM_GUARANTEEVARIETIES', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_GUARANTEEVARIETIES_FID') CREATE  CLUSTERED INDEX IDX_GM_GUARANTEEVARIETIES_FID ON T_GM_GUARANTEEVARIETIES ( FNUMBER ,FSTATUS );


 EXEC P_ALTERPK 'PK_T_GM_PLEDGETYPE', 'T_GM_PLEDGETYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_PLEDGETYPE_BILLNO') CREATE  CLUSTERED INDEX IDX_GM_PLEDGETYPE_BILLNO ON T_GM_PLEDGETYPE ( FNUMBER ,FSTATUS );


 EXEC P_ALTERPK 'PK_T_GM_PLEDGETYPE_AC', 'T_GM_PLEDGETYPE_AC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_PLEDGETYPE_AC_FID') CREATE INDEX IDX_GM_PLEDGETYPE_AC_FID ON T_GM_PLEDGETYPE_AC ( FID );


 EXEC P_ALTERPK 'PK_T_GM_PLEDGETYPE_L', 'T_GM_PLEDGETYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_PLEDGETYPE_L') CREATE  CLUSTERED INDEX IDX_GM_PLEDGETYPE_L ON T_GM_PLEDGETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_GM_GUARANTEEVARIETIES_L', 'T_GM_GUARANTEEVARIETIES_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GM_GUARANTEEVARIETIES_L') CREATE  CLUSTERED INDEX IDX_GM_GUARANTEEVARIETIES_L ON T_GM_GUARANTEEVARIETIES_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\GM_constraint.sql **/
