﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.117\GM_Table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_LETTEROFGUARANTEE')
 CREATE TABLE T_GM_LETTEROFGUARANTEE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBIZSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEEVARIETYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTRACTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FEXPIREDATE DATETIME,
FGUARANTEETERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPREHFEERATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FESTIMATEDTOTALFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFEEPAYMENTMETHOD NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISREVOKABLEINADV CHAR(1) DEFAULT '0' NOT NULL,
FISREISSUE CHAR(1) DEFAULT '0' NOT NULL,
FLOCALREISSUEBANKID BIGINT DEFAULT 0 NOT NULL,
FISSUEBANKFEERATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREISSUEBANKFEERATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FHASUNFROZENFUND CHAR(1) DEFAULT '0' NOT NULL,
FUNFROZENFUNDBANKID BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEETYPEID BIGINT DEFAULT 0 NOT NULL,
FBENEFICIARYTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBENEFICIARYID BIGINT DEFAULT 0 NOT NULL,
FTEXTBENEFICIARY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGUARANTEEWAY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGUARANTEEPURPOSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCANCELLEDBYID BIGINT DEFAULT 0 NOT NULL,
FCANCELLEDTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_LETTEROFGUARANTEE_L')
 CREATE TABLE T_GM_LETTEROFGUARANTEE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEETYPE')
 CREATE TABLE T_GM_GUARANTEETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FGUARANTEEPROP NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEETYPE_L')
 CREATE TABLE T_GM_GUARANTEETYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.117\GM_Table.sql **/
