﻿/**Begin D:\pdm_compare\PDM_UPGRADE\PDM1\GM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GM_GUARCONTRACT' AND KSQL_COL_NAME IN ('FGUARANTEEQUOTAID')) 
 ALTER TABLE T_GM_GUARCONTRACT ADD (FGUARANTEEQUOTAID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GM_GUARANTEEAPPLY' AND KSQL_COL_NAME IN ('FGUARANTEEQUOTAID')) 
 ALTER TABLE T_GM_GUARANTEEAPPLY ADD (FGUARANTEEQUOTAID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEEQUOTA') 
 CREATE TABLE T_GM_GUARANTEEQUOTA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCTRLLIMIT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREGUARANTEETYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGUARANTEEDORGID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEEDORGTEXT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME,
FQUOTAPROPERTY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUSEDQUOTA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVAILABLEQUOTA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(80) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FGUARANTEEORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEEQUOTA_ENTRY') 
 CREATE TABLE T_GM_GUARANTEEQUOTA_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FGMBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADVANCEQUOTA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALQUOTA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDUTYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEEQUOTA_L') 
 CREATE TABLE T_GM_GUARANTEEQUOTA_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End D:\pdm_compare\PDM_UPGRADE\PDM1\GM_table.sql **/
