﻿/**Begin D:\pdm_compare\PDM_UPGRADE\PDM1\GM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GM_GUARANTEEAPPLY' AND KSQL_COL_NAME IN ('FISCROSSGUARANTEE')) 
 ALTER TABLE T_GM_GUARANTEEAPPLY ADD (FISCROSSGUARANTEE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GM_GUARCONTRACT' AND KSQL_COL_NAME IN ('FISCROSSGUARANTEE')) 
 ALTER TABLE T_GM_GUARCONTRACT ADD (FISCROSSGUARANTEE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEE_ENTRY') 
 CREATE TABLE T_GM_GUARANTEE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FGUARANTEETYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGUARANTEEORGID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEEORGTEXT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGUARANTEEQUOTAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GM_GUARANTEED_ENTRY')
 CREATE TABLE T_GM_GUARANTEED_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREGUARANTEETYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGUARANTEEDORGID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEEDORGTEXT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGUARANTEEQUOTAID BIGINT DEFAULT 0 NOT NULL
);

/**End D:\pdm_compare\PDM_UPGRADE\PDM1\GM_table.sql **/
